Page MenuHomePhabricator

Remove "Justify paragraphs" user preference from MediaWiki core
Closed, ResolvedPublic

Description

The "Justify paragraphs" user preference should be removed from MediaWiki core.

This is an easy bug to resolve (marking it with the Bugzilla keyword accordingly). Anyone interested can look at https://gerrit.wikimedia.org/r/27206 for a starting point for a new changeset (or un-abandon that changeset and rebase).


Version: 1.23.0
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=28593

Details

Reference
bz52810

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:12 AM
bzimport set Reference to bz52810.

(In reply to comment #0)

The "Justify paragraphs" user preference should be removed from MediaWiki
core.

Why? Incentives are generally welcome in bug reports.

(In reply to comment #1)

Why? Incentives are generally welcome in bug reports.

I suppose it isn't particularly clear, but this bug flows from bug 52807, which flows from [[mw:Requests for comment/Core user preferences]].

MZ asked for my thoughts on this because I opened bug 28593 Many Years Ago. I don't have a strong opinion here. For what it's worth, I used to like the justify option and to enable it everywhere, but I am quite indifferent about it today. If it helps simplify the preferences and resolve other bugs, it can be removed.

I would like to prepare a patch for this bug. Please assign the same to me.

(In reply to comment #4)

I would like to prepare a patch for this bug. Please assign the same to me.

Just prepare a patch :)

See https://www.mediawiki.org/wiki/Patch

Still unclear why this needs to be removed. I happen to prefer justification of my paragraphs. Maybe there is a way to continue offering this (without forcing it into a userscript) and resolve any lack of page real estate issues (which is a problem).

(In reply to comment #6)

Still unclear why this needs to be removed. I happen to prefer justification
of my paragraphs. Maybe there is a way to continue offering this (without
forcing it into a userscript) and resolve any lack of page real estate issues
(which is a problem).

It doesn't look fit in the user preferences of mw-core, to me.

I believe there's consensus to remove this user preference.

Change 99322 had a related patch set uploaded by 01tonythomas:
Removed "Justify paragraphs" from MW user Preference.

https://gerrit.wikimedia.org/r/99322

(In reply to comment #1)

Why? Incentives are generally welcome in bug reports.

Just for the record, removing the preference was suggested by a user on de.wikipedia only yesterday. He provided a screenshot that shows how ugly infoboxes look like when the "justify paragraphs" preference is selected: http://s14.directupload.net/images/131204/znvc9sfb.png

Jared: thoughts on this? This is about the "justify paragraphs" option in MediaWiki core at [[Special:Preferences]].

I'm not sure we have great stats about user preferences right now. Help in that regard would be nice. :-)

We do have stats! Moiz (new ux) is working with analytics group to get usage stats currently.

For clarity, from [[mw:Requests for comment/Core user preferences]]:


gerrit:27206 Justify paragraphs — gadgetize?

Yup. -— Isarra ༆

This also tends to not work very well and break things. I vote kill with fire! 129.173.208.184 17:20, 24 September 2012 (UTC)

I agree. Just kill it. Matma Rex (talk) 16:37, 29 September 2012 (UTC)

Not sure how useful this is anyway. - Jc37 (talk) 01:30, 18 October 2012 (UTC)

However, there was apparently a glimpse of stats at Gerrit changeset 27206 that suggests that this may be a wontfix. There may be too many people who actively want to keep this user preference.

Separating direct preference usage and level to which people _actually care_ about having this functionality is, of course, tricky.

Change 99322 merged by jenkins-bot:
Removed "Justify paragraphs" from MW user Preference.

https://gerrit.wikimedia.org/r/99322

Thanks, Tony and Aaron!

This isn't resolved. People are complaining ( https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29#Text_justification ) and this was supposed to have a gadget option replacement before removed from core ( Comment 13 -- [[gerrit:27206]] ).

I see one person in comment 13 who wanted a gadget, and three who said to just kill it.

But a gadget would be simple enough, it just needs one line of CSS (copied from gerrit 99322's diff):

#article, #bodyContent, #mw_content { text-align: justify; }

Or people could copy that to their [[Special:MyPage/common.css]].

Creating gadgets is really the province of local wiki communities, not MediaWiki development, so I'm going to re-close this bug since the necessary code for a gadget is stated here now.

Teles added a comment.Feb 7 2014, 9:04 PM

Can somebody please put here the link where the consensus happened? An user is asking me why this change was accepted and this option removed from his preferences. I can't find the answer here. Thanks.

Siegel wrote:

It seems to me that such changes should not be made without clear consensus in a widely-advertised discussion which should be linked in the bug before it is actioned. Please revert this "fix".

Change 112151 had a related patch set uploaded by Parent5446:
Revert "Removed "Justify paragraphs" from MW user Preference."

https://gerrit.wikimedia.org/r/112151

(In reply to comment #18)

Can somebody please put here the link where the consensus happened?

Comment 13 of this bug report contains such a link.

(In reply to comment #19)

It seems to me that such changes should not be made without clear consensus
in a widely-advertised discussion which should be linked in the bug before it
is actioned.

Was there clear consensus from a widely advertised discussion to add this user preference?

I agree this should be reverted and a better option presented.

(In reply to comment #21)

(In reply to comment #18)

Can somebody please put here the link where the consensus happened?

Comment 13 of this bug report contains such a link.

Oh, you mean the comment that says that this would be offered as a gadget before it was removed from core?

(In reply to comment #23)

(In reply to comment #21)

Comment 13 of this bug report contains such a link.

Oh, you mean the comment that says that this would be offered as a gadget
before it was removed from core?

It takes about two edits to make this a gadget. If there's a particular wiki in which you'd like to have this, I'd be happy to help a local admin make it possible (the technical directions are in comment 17). We should probably update [[mw:Snippets]]. Perhaps we should even make providing a snippet a requirement before merging changes like this.

I'll note you can also customize your personal user experience using per-user CSS or JavaScript. Quite soon on Wikimedia wikis you'll be able to do this globally (i.e., across all public Wikimedia wikis).

(In reply to comment #24)

We should probably update [[mw:Snippets]]. Perhaps we should even make
providing a snippet a requirement before merging changes like this.

I created [[mw:Snippets/Paragraph justification]].

Quite soon on Wikimedia wikis you'll be able to do this globally (i.e., across
all public Wikimedia wikis).

This is bug 57891, by the way.

Technical 13, you know better then to reopen a bug to revert its original purpose; it badly breaks Bugzilla workflow due to tracking dependencies. So I'm reverting the title and closing this. Feel free to open a new bug report.